## percona-orchestrator 3.2.6-11

=== debian/changelog ===
percona-orchestrator (3.2.6-11) unstable; urgency=medium

  * Update to new orchestrator version 3.2.6

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-11320>  Thu, 23 Nov 2023 14:33:31 +0000

percona-orchestrator (3.2.6-11) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 23 Nov 2023 14:33:31 +0000

## percona-orchestrator 3.2.6-12

=== debian/changelog ===
percona-orchestrator (3.2.6-12) unstable; urgency=medium

  * Update to new orchestrator version 3.2.6

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-16692>  Wed, 28 Feb 2024 13:16:55 +0000

percona-orchestrator (3.2.6-12) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 28 Feb 2024 13:16:55 +0000

## percona-orchestrator 3.2.6-18

=== vendor/github.com/hashicorp/raft/Makefile ===
DEPS = $(go list -f '{{range .TestImports}}{{.}} {{end}}' ./...)

test:
	go test -timeout=30s ./...

integ: test
	INTEG_TESTS=yes go test -timeout=23s -run=Integ ./...

deps:
	go get -d -v ./...
	echo $(DEPS) | xargs -n1 go get -d

cov:
	INTEG_TESTS=yes gocov test github.com/hashicorp/raft | gocov-html > /tmp/coverage.html
	open /tmp/coverage.html

.PHONY: test cov integ deps

## percona-orchestrator 3.2.6-14

=== debian/changelog ===
percona-orchestrator (3.2.6-14) unstable; urgency=medium

  * Update to new orchestrator version 3.2.6

 -- root <root@168f46d68a7f>  Thu, 03 Oct 2024 09:40:09 +0000

percona-orchestrator (3.2.6-14) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 03 Oct 2024 09:40:09 +0000

=== debian/control ===
Source: percona-orchestrator
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Build-Depends:
 debhelper (>= 9),
 curl, rsync, git, gcc, g++, bash, tar

Package: percona-orchestrator-cli
Architecture: any
Depends: jq (>= 1.5)
Description: MySQL replication topology management and HA: binary only
Provides: orchestrator-cli
Homepage: https://github.com/github/orchestrator

Package: percona-orchestrator-client
Architecture: any
Depends: jq (>= 1.5), curl
Provides: orchestrator-client
Description: MySQL replication topology management and HA: client script
Homepage: https://github.com/github/orchestrator

Package: percona-orchestrator
Architecture: any
Depends: jq (>= 1.5)
Provides: orchestrator
Description: MySQL replication topology management and HA
Homepage: https://github.com/github/orchestrator

## percona-orchestrator 3.2.6-15

=== debian/changelog ===
percona-orchestrator (3.2.6-15) unstable; urgency=medium

  * Update to new orchestrator version 3.2.6

 -- root <root@1d8eb210b2fb>  Mon, 16 Dec 2024 11:44:56 +0000

percona-orchestrator (3.2.6-15) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 16 Dec 2024 11:44:56 +0000

## percona-orchestrator 3.2.6-16

=== debian/changelog ===
percona-orchestrator (3.2.6-16) unstable; urgency=medium

  * Update to new orchestrator version 3.2.6

 -- root <root@210bad310101>  Mon, 10 Feb 2025 11:21:39 +0000

percona-orchestrator (3.2.6-16) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 10 Feb 2025 11:21:39 +0000

## percona-orchestrator 3.2.6-17

=== debian/changelog ===
percona-orchestrator (3.2.6-17) unstable; urgency=medium

  * Update to new orchestrator version 3.2.6

 -- root <root@4ca54f630b82>  Mon, 05 May 2025 09:29:59 +0000

percona-orchestrator (3.2.6-17) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 05 May 2025 09:29:59 +0000

## percona-orchestrator 3.2.6-18

=== debian/changelog ===
percona-orchestrator (3.2.6-18) unstable; urgency=medium

  * Update to new orchestrator version 3.2.6

 -- root <root@25a4bd855ab2>  Thu, 24 Jul 2025 19:39:21 +0000

percona-orchestrator (3.2.6-18) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 24 Jul 2025 19:39:21 +0000

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

TMP=$(CURDIR)/debian/tmp/
TMPD=$(CURDIR)/debian/tmp-debug/
prefix=/usr
ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ARCH_OS = $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
NCPU = $(shell grep -c processor /proc/cpuinfo)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

DEB_SOURCE_PACKAGE ?= $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION ?= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION ?= $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION ?= $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_UPSTREAM_VERSION_MAJOR_MINOR := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -r -n 's/^([0-9]+\.[0-9]+).*/\1/p')
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DISTRIBUTION = $(shell lsb_release -i -s)
DISTRELEASE = $(shell lsb_release -c -s)

%:
	dh $@ --with-systemd

override_dh_auto_test override_dh_compress override_dh_fixperms override_dh_strip override_dh_usrlocal:

override_dh_auto_build:
	@echo "RULES.$@"
	bash script/build
	touch $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_auto_install:
	@echo "RULES.$@"
	mkdir -p $(TMP)
	mkdir -p $(TMP)/default
	mkdir -p $(TMP)/usr/local/orchestrator
	cp -rf bin/resources  $(TMP)/resources
	cp -f bin/resources/bin/orchestrator-client  $(TMP)/orchestrator-client
	cp -f  conf/orchestrator-sample.conf.json $(TMP)/orchestrator-sample.conf.json
	cp -f  conf/orchestrator-sample-sqlite.conf.json $(TMP)/orchestrator-sample-sqlite.conf.json
	cp -f bin/orchestrator  $(TMP)/orchestrator
	cp -f etc/systemd/orchestrator.service $(TMP)/orchestrator.service
	ls -la $(TMP)
	ls -la $(TMP)/resources/

override_dh_systemd_start:
